Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.google.appengine.api.datastore
Enum Query.CompositeFilterOperator

    java.lang.Object
      java.lang.Enum<Query.CompositeFilterOperator>
          com.google.appengine.api.datastore.Query.CompositeFilterOperator

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Query.CompositeFilterOperator>

Enclosing class:
  Query

    public static enum Query.CompositeFilterOperator

extends java.lang.Enum<Query.CompositeFilterOperator>

Operators supported by `Query.CompositeFilter`.

Enum Constant Summary
`AND`
`OR`

Method Summary
`static Query.CompositeFilter` | `and(java.util.Collection<Query.Filter> subFilters)`
`static Query.CompositeFilter` | `and(Query.Filter... subFilters)`
`Query.CompositeFilter` | `of(java.util.Collection<Query.Filter> subFilters)`
`Query.CompositeFilter` | `of(Query.Filter... subFilters)`
`static Query.CompositeFilter` | `or(java.util.Collection<Query.Filter> subFilters)`
`static Query.CompositeFilter` | `or(Query.Filter... subFilters)`
`static Query.CompositeFilterOperator` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Query.CompositeFilterOperator[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AND

    public static final Query.CompositeFilterOperator AND

### OR

    public static final Query.CompositeFilterOperator OR

Method Detail

### values

    public static Query.CompositeFilterOperator[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Query.CompositeFilterOperator c : Query.CompositeFilterOperator.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Query.CompositeFilterOperator valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### and

    public static Query.CompositeFilter and(Query.Filter... subFilters)

### and

    public static Query.CompositeFilter and(java.util.Collection<Query.Filter> subFilters)

### or

    public static Query.CompositeFilter or(Query.Filter... subFilters)

### or

    public static Query.CompositeFilter or(java.util.Collection<Query.Filter> subFilters)

### of

    public Query.CompositeFilter of(Query.Filter... subFilters)

### of

    public Query.CompositeFilter of(java.util.Collection<Query.Filter> subFilters)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD